loci.plugins

## Class LociExporter

- java.lang.Object
- - loci.plugins.LociExporter

- All Implemented Interfaces:
    ij.plugin.filter.PlugInFilter

      public class LociExporter
      extends java.lang.Object
      implements ij.plugin.filter.PlugInFilter

  ImageJ plugin for writing files using the OME Bio-Formats package. Wraps core logic in `Exporter`, to avoid direct references to classes in the external Bio-Formats library.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `arg` Argument passed to setup method.
    `private Exporter` | `exporter`

    - ### Fields inherited from interface ij.plugin.filter.PlugInFilter

      `CONVERT_TO_FLOAT, DOES_16, DOES_32, DOES_8C, DOES_8G, DOES_ALL, DOES_RGB, DOES_STACKS, DONE, FINAL_PROCESSING, KEEP_THRESHOLD, NO_CHANGES, NO_IMAGE_REQUIRED, NO_UNDO, NO_UNDO_RESET, PARALLELIZE_IMAGES, PARALLELIZE_STACKS, ROI_REQUIRED, SNAPSHOT, STACK_REQUIRED, SUPPORTS_MASKING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LociExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(ij.process.ImageProcessor ip)` Executes the plugin.
    `int` | `setup(java.lang.String arg, ij.ImagePlus imp)` Sets up the writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### arg

          public java.lang.String arg

      Argument passed to setup method.

    - #### exporter

          private Exporter exporter

  - ### Constructor Detail

    - #### LociExporter

          public LociExporter()

  - ### Method Detail

    - #### setup

          public int setup(java.lang.String arg,
                           ij.ImagePlus imp)

      Sets up the writer.
      Specified by:
        `setup` in interface `ij.plugin.filter.PlugInFilter`

    - #### run

          public void run(ij.process.ImageProcessor ip)

      Executes the plugin.
      Specified by:
        `run` in interface `ij.plugin.filter.PlugInFilter`

Copyright © 2026 Open Microscopy Environment